
QGIS Application - Bug report #20813

Print composer crash

2018-12-14 04:42 PM - Matjaž Mori

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.4.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 28632

Description

User Feedback

Trying to undo paste in print composer.

Report Details

Crash ID: 36805cab84651459f9bd79a6e63cb8518793f0e9

Stack Trace

QgsLayoutItem::writeXml :

QgsLayoutItemUndoCommand::saveState :

QgsLayoutUndoStack::beginCommand :

QgsLayoutItem::beginCommand :

QgsMapCanvasDockWidget::setViewScaleSynchronized :

QMetaObject::activate :

QgsLayoutItemComboBox::itemChanged :

QMetaObject::activate :

QWidgetLineControl::`default constructor closure' :

QComboBox::setCurrentIndex :

QComboBox::setCurrentIndex :

QWidgetLineControl::`default constructor closure' :

QMetaObject::activate :

QAbstractItemModel::endRemoveRows :

QSortFilterProxyModel::removeRows :

QSortFilterProxyModel::sortRole :

QSortFilterProxyModel::`default constructor closure' :

QMetaObject::activate :

QAbstractItemModel::beginRemoveRows :

QgsLayoutModel::setItemRemoved :

QgsLayout::removeLayoutItemPrivate :

QgsLayoutItemAddItemCommand::undo :

QUndoCommand::undo :

QUndoStack::undo :

QMetaObject::activate :

QAction::activate :

QAction::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QShortcutMap::dispatchEvent :

QShortcutMap::tryShortcut :

QWindowSystemInterface::handleShortcutEvent :

QGuiApplicationPrivate::processKeyEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :
TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.2-Madeira

QGIS code revision: commit:22034aa070

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2019-01-21 09:21 AM - Julien Cabieces

- Status changed from Open to Feedback

I cannot succeed to reproduce with current master branch.

I tried to undo a copy-paste of a map inside the map composer and nothing happen. Can you more specific about what you trying to do.

#2 - 2019-03-08 10:50 AM - Giovanni Manghi

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Closing for lack of feedback.
